Skip to main content
PATCH
Update Appstore Permission

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

permission_id
string
required

Query Parameters

include_inherited_configs
boolean
default:true

Include inherited configurations from parent app.

Body

application/json
app_id
string | null

The ID of the app associated with this requestable permission.

app_class_id
string | null

The ID of the service associated with this requestable permission.

app_instance_id
string | null

Optionally, an app has an identifer associated with it's particular instance.

label
string | null

The label of this requestable permission.

request_config
RequestConfigInputUpdate · object | null

The request config associated with this requestable permission.

Response

Successful Response

label
string
required

The label of this requestable permission.

app_id
string
required

The ID of the app associated with this requestable permission.

app_class_id
string
required

The non-unique ID of the service associated with this requestable permission. Depending on how it is sourced in Lumos, this may be the app's name, website, or other identifier.

app_instance_id
string
required

The ID of the instance associated with this requestable permission. This may be an empty string.

id
string

The ID of this requestable permission.

type
enum<string> | null

The type of this requestable permission.

Available options:
SYNCED,
NATIVE
request_config
RequestConfigOutput · object

The request config associated with this requestable permission.